package domain

type AlibabaWdkCouponSkuAddApiResult struct {
	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   返回     */
	Model *AlibabaWdkCouponSkuAddCouponTemplateOperateResponse `json:"model,omitempty" `

	/*
	   成功标志     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkCouponSkuAddApiResult) SetErrCode(v string) *AlibabaWdkCouponSkuAddApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddApiResult) SetErrMsg(v string) *AlibabaWdkCouponSkuAddApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddApiResult) SetModel(v AlibabaWdkCouponSkuAddCouponTemplateOperateResponse) *AlibabaWdkCouponSkuAddApiResult {
	s.Model = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddApiResult) SetSuccess(v bool) *AlibabaWdkCouponSkuAddApiResult {
	s.Success = &v
	return s
}
